# flash Makefile
# This is a generated file-do not edit
# Wednesday, April 14, 2004 10:13:25

CC 		= arm-elf-gcc
CXX 		= arm-elf-g++
OBJCOPY 	= arm-elf-objcopy
AR 		= arm-elf-ar
LD 		= arm-elf-ld
OUTPUT_DIR 	= E:\flash\universal\universal\ 
OUTPUT_NAME 	= E:/flash/universal/universal/flash.elf 
TEXT =   8000
DATA =   1A000
BSS =   30000

INC_PATH 	= 
DEFINE 		= 
CPPFLAGS 	+= $(INC_PATH) $(DEFINE)
ENDIAN_AS 	= -Wa,-EL
ENDIANFLAG 	= -mlittle-endian  -A 'endian(little)'
CFLAGS 		= $(INC_PATH) $(DEFINE) $(ENDIANFLAG) -fno-rtti -DMACHINE_TYPE_ARM -w  -O0 -g -gdwarf -marm
ASFLAGS 	= -x assembler-with-cpp -x assembler-with-cpp -Wa,--gstabs $(ENDIAN_AS)
LDFLAGS 	=-EL -e_start -nostartupfiles -static -g -n -N
LINK_DIR 	= "D:/flash/universal/universal"
LINK_SCRIPT:= "flash.ld"
LIBS 		= 
SOURCES 	= define.s crt0.S main.c 
OBJECTS:= define.o crt0.o main.o 

all: $(OBJECTS) $(OUTPUT_NAME)  

define.o: define.s
	$(CC) -c $(CFLAGS) $(ASFLAGS) define.s
crt0.o: crt0.S
	$(CC) -c $(CFLAGS) $(ASFLAGS) crt0.S
main.o: main.c
	$(CC) -c $(CFLAGS) main.c
$(OUTPUT_NAME): $(OBJECTS) 
	$(LD) -Ttext $(TEXT) -Tdata $(DATA) -Tbss $(BSS) $(LDFLAGS) -L$(LINK_DIR) -T$(LINK_SCRIPT) -o $@ $^ $(LIBS) 

.PHONY: clean
clean:
	rm -f $(OBJECTS) 
	

# End Of File
